#3200 closed defect (fixed)

m32c tests don't build -- test_context too large

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

../../../../../../../rtems/c/src/../../testsuites/tmtests/tmfine01/init.c:58:21: error: size of variable 'test_instance' is too large

static test_context test_instance;

FWIW I marked this as unspecified because this is just a generic small target issue.

Change History (4)

comment:1 Changed on Oct 23, 2017 at 2:22:32 PM by Joel Sherrill

Owner: set to Chris Johns
Status: newassigned

comment:2 Changed on Oct 23, 2017 at 6:12:30 PM by Joel Sherrill

Owner: changed from Chris Johns to Sebastian Huber

The number of resources needs to be lowered on m32c. It has limited indexing and offset ability in its instructions. This patch lets it compile. Is this OK to commit?

git diff

diff --git a/testsuites/tmtests/tmfine01/init.c b/testsuites/tmtests/tmfine01/i
index 31843ce..4d9e6ec 100644
--- a/testsuites/tmtests/tmfine01/init.c
+++ b/testsuites/tmtests/tmfine01/init.c
@@ -28,7 +28,11 @@

const char rtems_test_name[] = "TMFINE 1";


+#if defined(m32c)
+#define CPU_COUNT 3
+#else

#define CPU_COUNT 32

+#endif

#define MSG_COUNT 3


comment:3 Changed on Oct 24, 2017 at 7:28:08 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 0e1ad7fa/rtems:

tmtests/tmfine01: Reduce test context size

Reduce test context size in non-SMP configurations.

Close #3200.

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.